python 2.5.2 or Python 2.6 compilation problem on AIX 5.3

desas2 at gmail.com desas2 at gmail.com
Mon Dec 1 21:58:19 CET 2008


On Dec 1, 1:06 pm, Terry Reedy <tjre... at udel.edu> wrote:
> des... at gmail.com wrote:
> > Hello:
> > I am trying to compile Python 2.5.2 on AIX 5.3 with gcc 4.2.3. I am
> > getting following error. (I also tried Python 2.6 with same error)
>
> > creating build/temp.aix-5.3-2.5/share/tmhsdsd2/tmp/Python-2.5.2/
> > Modules
> > gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3 -Wall -
> > Wstrict-prototypes -I. -I/share/tmhsdsd2/tmp/Python-2.5.2/./Include -
> > I. -IInclude -I./Include -I/usr/local/include -I/share/tmhsdsd2/tmp/
> > Python-2.5.2/Include -I/share/tmhsdsd2/tmp/Python-2.5.2 -c /share/
> > tmhsdsd2/tmp/Python-2.5.2/Modules/_struct.c -o build/temp.aix-5.3-2.5/
> > share/tmhsdsd2/tmp/Python-2.5.2/Modules/_struct.o
> > creating build/lib.aix-5.3-2.5
>
> > ./Modules/ld_so_aix gcc -pthread -bI:Modules/python.exp build/
> > temp.aix-5.3-2.5/share/tmhsdsd2/tmp/Python-2.5.2/Modules/_struct.o -L/
> > usr/local/lib -lpython2.5 -o build/lib.aix-5.3-2.5/_struct.so
> > collect2: library libpython2.5 not found
>
> Have you checked all the directories on PATH to see if any contain
> libpython2.5?
>

Thanks for your response. libpython2.5.a is in the current directory
same as Makefile.

Thank you.
Dinakar



More information about the Python-list mailing list